Personnel costs
curl --request GET \
--url https://api.fyvel.io/v1/companies/{companyId}/personnel-costs \
--header 'Authorization: <authorization>'import requests
url = "https://api.fyvel.io/v1/companies/{companyId}/personnel-costs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.fyvel.io/v1/companies/{companyId}/personnel-costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fyvel.io/v1/companies/{companyId}/personnel-costs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fyvel.io/v1/companies/{companyId}/personnel-costs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fyvel.io/v1/companies/{companyId}/personnel-costs")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fyvel.io/v1/companies/{companyId}/personnel-costs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"costs": [
{
"employeeId": "cccccccc-cccc-4ccc-8ccc-cccccccccccc",
"month": "2026-03",
"fte": 1,
"gross": 5000,
"amount": 4200,
"allocation": [
{ "costCenter": 100, "percent": 60, "amount": 2520 },
{ "costCenter": 110, "percent": 40, "amount": 1680 }
]
}
]
}
Personnel
Personnel costs
One row per employee and month.
GET
/
v1
/
companies
/
{companyId}
/
personnel-costs
Personnel costs
curl --request GET \
--url https://api.fyvel.io/v1/companies/{companyId}/personnel-costs \
--header 'Authorization: <authorization>'import requests
url = "https://api.fyvel.io/v1/companies/{companyId}/personnel-costs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.fyvel.io/v1/companies/{companyId}/personnel-costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fyvel.io/v1/companies/{companyId}/personnel-costs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fyvel.io/v1/companies/{companyId}/personnel-costs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fyvel.io/v1/companies/{companyId}/personnel-costs")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fyvel.io/v1/companies/{companyId}/personnel-costs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"costs": [
{
"employeeId": "cccccccc-cccc-4ccc-8ccc-cccccccccccc",
"month": "2026-03",
"fte": 1,
"gross": 5000,
"amount": 4200,
"allocation": [
{ "costCenter": 100, "percent": 60, "amount": 2520 },
{ "costCenter": 110, "percent": 40, "amount": 1680 }
]
}
]
}
{
"costs": [
{
"employeeId": "cccccccc-cccc-4ccc-8ccc-cccccccccccc",
"month": "2026-03",
"fte": 1,
"gross": 5000,
"amount": 4200,
"allocation": [
{ "costCenter": 100, "percent": 60, "amount": 2520 },
{ "costCenter": 110, "percent": 40, "amount": 1680 }
]
}
]
}
Bearer and the API key. See Authentication.Path parameters
Query parameters
Response
FTE, gross, and amount belong to the month, not to one cost center. The split stays inallocation.
from or to is missing, or the range is invalid, the call returns 400 and INVALID_PERIOD. An unknown or forbidden company returns 400 INVALID_COMPANY or 403 FORBIDDEN.